ContactManagerForUser
ContactManagerForUser
ContactManagerForUser
ContactManagerForUser
Class
Definition
Represents a service that source apps can call to access contact data for a specific user.
public : sealed class ContactManagerForUser : IContactManagerForUser, IContactManagerForUser2public sealed class ContactManagerForUser : IContactManagerForUser, IContactManagerForUser2Public NotInheritable Class ContactManagerForUser Implements IContactManagerForUser, IContactManagerForUser2// You can use this class in JavaScript.
- Attributes
| Device family |
Windows 10 Anniversary Edition (introduced v10.0.14393.0)
|
| API contract |
Windows.Foundation.UniversalApiContract (introduced v3)
|
Remarks
Call the ContactManager.GetForUser method to get an instance of this class.
Properties
SystemDisplayNameOrder SystemDisplayNameOrder SystemDisplayNameOrder SystemDisplayNameOrder
Gets or sets the display name order for contacts.
public : ContactNameOrder SystemDisplayNameOrder { get; set; }public ContactNameOrder SystemDisplayNameOrder { get; set; }Public ReadWrite Property SystemDisplayNameOrder As ContactNameOrder// You can use this property in JavaScript.
The display name order for contacts.
SystemSortOrder SystemSortOrder SystemSortOrder SystemSortOrder
Gets or sets the sort order for contacts. For example, sort by last name or first name.
public : ContactNameOrder SystemSortOrder { get; set; }public ContactNameOrder SystemSortOrder { get; set; }Public ReadWrite Property SystemSortOrder As ContactNameOrder// You can use this property in JavaScript.
The sort order.
Methods
ConvertContactToVCardAsync(Contact) ConvertContactToVCardAsync(Contact) ConvertContactToVCardAsync(Contact) ConvertContactToVCardAsync(Contact)
Asynchronously converts a Contact to a vCard.
public : IAsyncOperation<RandomAccessStreamReference> ConvertContactToVCardAsync(Contact contact)public IAsyncOperation<RandomAccessStreamReference> ConvertContactToVCardAsync(Contact contact)Public Function ConvertContactToVCardAsync(contact As Contact) As IAsyncOperation( Of RandomAccessStreamReference )// You can use this method in JavaScript.
A stream containing the vCard data.
- See Also
ConvertContactToVCardAsync(Contact, UInt32) ConvertContactToVCardAsync(Contact, UInt32) ConvertContactToVCardAsync(Contact, UInt32) ConvertContactToVCardAsync(Contact, UInt32)
Asynchronously converts a Contact to a vCard.
public : IAsyncOperation<RandomAccessStreamReference> ConvertContactToVCardAsync(Contact contact, unsigned int maxBytes)public IAsyncOperation<RandomAccessStreamReference> ConvertContactToVCardAsync(Contact contact, UInt32 maxBytes)Public Function ConvertContactToVCardAsync(contact As Contact, maxBytes As UInt32) As IAsyncOperation( Of RandomAccessStreamReference )// You can use this method in JavaScript.
- maxBytes
- unsigned int UInt32 UInt32 UInt32
The maximum size for the vCard in bytes.
A stream containing the vCard data.
- See Also
ConvertVCardToContactAsync(IRandomAccessStreamReference) ConvertVCardToContactAsync(IRandomAccessStreamReference) ConvertVCardToContactAsync(IRandomAccessStreamReference) ConvertVCardToContactAsync(IRandomAccessStreamReference)
Asynchronously converts a vCard to a Contact.
public : IAsyncOperation<Contact> ConvertVCardToContactAsync(IRandomAccessStreamReference vCard)public IAsyncOperation<Contact> ConvertVCardToContactAsync(IRandomAccessStreamReference vCard)Public Function ConvertVCardToContactAsync(vCard As IRandomAccessStreamReference) As IAsyncOperation( Of Contact )// You can use this method in JavaScript.
- vCard
- IRandomAccessStreamReference IRandomAccessStreamReference IRandomAccessStreamReference IRandomAccessStreamReference
A stream containing the vCard data.
RequestAnnotationStoreAsync(ContactAnnotationStoreAccessType) RequestAnnotationStoreAsync(ContactAnnotationStoreAccessType) RequestAnnotationStoreAsync(ContactAnnotationStoreAccessType) RequestAnnotationStoreAsync(ContactAnnotationStoreAccessType)
Asynchronously returns the ContactAnnotationStore from the system.
public : IAsyncOperation<ContactAnnotationStore> RequestAnnotationStoreAsync(ContactAnnotationStoreAccessType accessType)public IAsyncOperation<ContactAnnotationStore> RequestAnnotationStoreAsync(ContactAnnotationStoreAccessType accessType)Public Function RequestAnnotationStoreAsync(accessType As ContactAnnotationStoreAccessType) As IAsyncOperation( Of ContactAnnotationStore )// You can use this method in JavaScript.
- accessType
- ContactAnnotationStoreAccessType ContactAnnotationStoreAccessType ContactAnnotationStoreAccessType ContactAnnotationStoreAccessType
Specifies the access type, such as AllAnnotationsReadWrite for all annotations or AppAnnotationsReadWrite for the calling app's annotations.
RequestStoreAsync(ContactStoreAccessType) RequestStoreAsync(ContactStoreAccessType) RequestStoreAsync(ContactStoreAccessType) RequestStoreAsync(ContactStoreAccessType)
Asynchronously returns the ContactStore from the system.
public : IAsyncOperation<ContactStore> RequestStoreAsync(ContactStoreAccessType accessType)public IAsyncOperation<ContactStore> RequestStoreAsync(ContactStoreAccessType accessType)Public Function RequestStoreAsync(accessType As ContactStoreAccessType) As IAsyncOperation( Of ContactStore )// You can use this method in JavaScript.
- accessType
- ContactStoreAccessType ContactStoreAccessType ContactStoreAccessType ContactStoreAccessType
Specifies the access type, such as AllContactsReadOnly for all accounts or AppContactsReadWrite for the calling app's accounts.
ShowFullContactCard(Contact, FullContactCardOptions) ShowFullContactCard(Contact, FullContactCardOptions) ShowFullContactCard(Contact, FullContactCardOptions) ShowFullContactCard(Contact, FullContactCardOptions)
Queries the operating system for a user’s contact and shows the contact data in a full contact card.
public : void ShowFullContactCard(Contact contact, FullContactCardOptions fullContactCardOptions)public void ShowFullContactCard(Contact contact, FullContactCardOptions fullContactCardOptions)Public Function ShowFullContactCard(contact As Contact, fullContactCardOptions As FullContactCardOptions) As void// You can use this method in JavaScript.
The object that represents the contact that the app wants to display the contact card for.contact must contain at least an Id, Emails, or a phone number from a Phones list to query the user’s contact database to retrieve a matching contact to display. Id has higher priority for querying. If an Id matches, the rest of query parameters will be ignored for matching purposes. If an Id does not find a match, the query uses the rest of query parameters. Emails and Phones have equal priority for matching. If multiple email addresses, or phone numbers, or both are provided, the query first performs an exact match, requiring all query parameters to match a system contact record. If this results in no matches, the query uses "best effort" match, in which a match of any query parameters is sufficient.
If no matches occur, the data in the input contact displays in the contact card. If a match occurs, only system contact data displays, and the data in the input contact is discarded.
- fullContactCardOptions
- FullContactCardOptions FullContactCardOptions FullContactCardOptions FullContactCardOptions
Specifies how to display the full contact card.
| Device family |
Windows 10 Creators Update (introduced v10.0.15063.0)
|
| API contract |
Windows.Foundation.UniversalApiContract (introduced v4)
|
Remarks
This method must be called from the main UI thread.
- See Also